import 'package:flutter/material.dart';

class ClipOvalWidget extends StatelessWidget {

  final IconData icon;
  final double width;
  final double height;
  final Color color;
  final Color background;
  final GestureTapCallback onTap;
  final EdgeInsetsGeometry margin;
  final double sizeIcon;

  const ClipOvalWidget({
    this.width = 35,
    this.height = 35,
    this.color = Colors.white,
    this.background = Colors.blueGrey,
    this.margin,
    this.sizeIcon = 20,
    @required this.icon,
    @required this.onTap
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: margin,
      child: ClipOval(
          child: Material(
            color: background,
            child: InkWell(
              child: SizedBox(
                width: width,
                height: height,
                child: Icon(icon, color: color, size: sizeIcon),
              ),
              splashColor: color,
              onTap: onTap,
            ),
          )),
    );
  }
}