import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class OutlineButtonWidget extends StatelessWidget {
  final String title;
  final IconData icon;
  final double width;
  final VoidCallback onPressed;

  const OutlineButtonWidget({Key key, @required this.onPressed, this.title = 'Submit', this.icon, this.width})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        padding: EdgeInsets.only(top: 10),
        width: width,
        child: OutlineButton.icon(
          color: Theme.of(context).primaryColor,
          textColor: Theme.of(context).primaryColor,
          borderSide: BorderSide(
            color: Theme.of(context).primaryColor,
            style: BorderStyle.solid,
          ),
          highlightedBorderColor: Theme.of(context).primaryColor,
          icon: Icon(
            icon,
            size: 18,
          ),
          label: Text(title),
          onPressed: onPressed,
        ));
  }
}