import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WaitingResult extends StatelessWidget {

  final String label;
  final Color color;
  final Color colorCircular;
  final double strokeWidth;
  final double width;
  final double height;
  final MainAxisAlignment mainAxisAlignment;

  WaitingResult(
      {@required this.label,
        this.color = Colors.white,
        this.colorCircular = Colors.white,
        this.strokeWidth = 4,
        this.width = 35,
        this.height = 35,
        this.mainAxisAlignment = MainAxisAlignment.center
      });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(top: 50),
      child: Column(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: mainAxisAlignment,
          children: <Widget>[
            Container(
              width: width,
              height: height,
              child: CircularProgressIndicator(
                backgroundColor: colorCircular,
                strokeWidth: strokeWidth,
              ),
            ),
            Visibility(
              visible: label.length > 0 ? true : false,
              child: Container(
                padding: EdgeInsets.only(top: 10),
                child: Text(
                  label,
                  style: TextStyle(color: color),
                ),
              ),
            )
          ]),
    );
  }
}
